Subject: RE: on the mpls oam framework

From: "David Allan" <[email-masked]>
Date: Mon, 10 Nov 2003 03:18:29 -0500

Loa 

I have no small problem with the proposal to start over as I feel like I'm
being asked to set aside my and my colleagues convictions in the interest of
producing what I would consider to be a document of diminshed significance.

Given that the draft basically says you cannot do everything with all
connectivity structures as they stand and why (e.g. Mp2P and PHP) and need
to overlay P2P LSPs when certain functionality is required, I'm not too sure
where the disconnect is. It discusses how you can use aspects of the
architecture to create a framework whereby any style of instrumentation and
consequent measurability can be achieved.

I'd prefer if those reviewing the document provided feedback as to where
specific unresolvable disconnects existed. I'm not sure they are
unresolvable or innacurate.

rgds
Dave

> -----Original Message-----
> From: Loa Andersson [mailto:[email-masked]] 
> Sent: Sunday, November 09, 2003 9:27 PM
> To: MPLS wg
> Cc: George Swallow; Alex Zinin
> Subject: on the mpls oam framework
> 
> 
> All,
> 
> I read the mpls oam framework as it has been suggested in
> Dave Allans draft (draft-allan-mpls-oam-frmwrk) and also 
> re-read the the mpls architecture document. I've the 
> architecture authors to review the oam framework and received 
> some feedback from them.
> 
> It is my understanding that there is a serious disconnect 
> between the architecture and oam framework, and I therefore 
> want to restart the oam framework in a fresh document, with 
> the undertanding that this document shall be aligned with the 
> architecture.
> 
> I asked David Allan and Tom Nadeau to take on the editorship 
> for this new document, and hope to have positive answers from 
> both of them before the mpls wg meeting in Minneapolis.
> 
> /Loa
> 
>

---

From: Loa Andersson <[email-masked]>
Date: Mon, 10 Nov 2003 18:17:46 +0100

Dave,

I hope the "small problem" should not be taken in a rethorical
sense, and hope you are willing to work with Tom on this.

My interest in this is that we create a non-broken foundaiton
for mpls, rather than having work going of in different incompatible
directions. Hope you will see this a a chance to contribute to
this unified foundation.

I am a bit concerned with the view that alignmentti to the mpls
architecture  would diminish the value of the document.

/Loa